#include "chdecl.h"
void CH_codegen_cgstmt(current, sched, cop)
#define ARGUMENTS 8
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto c195;
    case 4: goto cb195;
    case 6: goto c197;
    case 7: goto cb199;
    case 8: goto c200;
    case 9: goto c206;
    case 10: goto c212;
    case 11: goto c219;
    case 12: goto c236;
    case 13: goto c239;
    case 14: goto c241;
    case 15: goto c246;
    case 16: goto c255;
    case 17: goto c266;
    case 18: goto c277;
    case 19: goto c280;
    case 20: goto c283;
    case 21: goto c294;
    case 22: goto c296;
    case 23: goto c309;
    case 24: goto cb318;
    case 25: goto c319;
    case 26: goto c324;
    case 27: goto cb348;
    case 28: goto c349;
    case 29: goto c350;
    case 30: goto c369;
    case 31: goto c371;
    case 32: goto c374;
    case 33: goto c377;
    case 34: goto c381;
    case 5: goto c384;
    case 35: goto c384;
    case 36: goto c386;
    case 37: goto c388;
    case 38: goto c393;
    case 39: goto c395;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* new_inport 4 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val; REF(4).tsdr = & dr_inport;
/* connect 3.0 4 */
  if (REF(4).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(0).tsdr)->finalize)(REF(3)DOT(0).value,F_DISCARD,sched);
  REF(4).value.inport->refcount++;
  REF(3)DOT(0).value.outport = REF(4).value.inport;
  REF(3)DOT(0).tsdr = & dr_outport;
/* new_inport 5 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val; REF(5).tsdr = & dr_inport;
/* connect 3.1 5 */
  if (REF(5).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(1).tsdr)->finalize)(REF(3)DOT(1).value,F_DISCARD,sched);
  REF(5).value.inport->refcount++;
  REF(3)DOT(1).value.outport = REF(5).value.inport;
  REF(3)DOT(1).tsdr = & dr_outport;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* new_table 6 , 2 */
  if ((ch_returncode = che_new_table(DEF(6),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 4 */
  REF(7)DOT(0).value.ord_enum = 4;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 8 , 3 */
  if ((ch_returncode = che_prog_lit(DEF(8),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 9 8 , 4 */
  if ((ch_returncode = che_procedure(DEF(9),DEF(8),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* move 7.1 9 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(9);
  REF(9).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 6 */
  REF(7)DOT(0).value.ord_enum = 6;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 10 , 5 */
  if ((ch_returncode = che_prog_lit(DEF(10),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 11 10 , 4 */
  if ((ch_returncode = che_procedure(DEF(11),DEF(10),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* move 7.1 11 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(11);
  REF(11).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 7 */
  REF(7)DOT(0).value.ord_enum = 7;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 12 , 6 */
  if ((ch_returncode = che_prog_lit(DEF(12),QUAL(6),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 13 12 , 4 */
  if ((ch_returncode = che_procedure(DEF(13),DEF(12),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* move 7.1 13 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(13);
  REF(13).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 10 */
  REF(7)DOT(0).value.ord_enum = 10;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 14 , 7 */
  if ((ch_returncode = che_prog_lit(DEF(14),QUAL(7),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 15 14 , 4 */
  if ((ch_returncode = che_procedure(DEF(15),DEF(14),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* move 7.1 15 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(15);
  REF(15).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 17 */
  REF(7)DOT(0).value.ord_enum = 17;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 16 , 6 */
  if ((ch_returncode = che_prog_lit(DEF(16),QUAL(6),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 17 16 , 4 */
  if ((ch_returncode = che_procedure(DEF(17),DEF(16),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* move 7.1 17 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(17);
  REF(17).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 20 */
  REF(7)DOT(0).value.ord_enum = 20;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 18 , 8 */
  if ((ch_returncode = che_prog_lit(DEF(18),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 19 18 , 4 */
  if ((ch_returncode = che_procedure(DEF(19),DEF(18),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* move 7.1 19 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(19);
  REF(19).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 21 */
  REF(7)DOT(0).value.ord_enum = 21;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 20 , 9 */
  if ((ch_returncode = che_prog_lit(DEF(20),QUAL(9),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 21 20 , 4 */
  if ((ch_returncode = che_procedure(DEF(21),DEF(20),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* move 7.1 21 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(21);
  REF(21).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 23 */
  REF(7)DOT(0).value.ord_enum = 23;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 22 , 10 */
  if ((ch_returncode = che_prog_lit(DEF(22),QUAL(10),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 23 22 , 4 */
  if ((ch_returncode = che_procedure(DEF(23),DEF(22),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* move 7.1 23 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(23);
  REF(23).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 24 */
  REF(7)DOT(0).value.ord_enum = 24;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 24 , 11 */
  if ((ch_returncode = che_prog_lit(DEF(24),QUAL(11),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 25 24 , 4 */
  if ((ch_returncode = che_procedure(DEF(25),DEF(24),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* move 7.1 25 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(25);
  REF(25).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 25 */
  REF(7)DOT(0).value.ord_enum = 25;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 26 , 12 */
  if ((ch_returncode = che_prog_lit(DEF(26),QUAL(12),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 27 26 , 4 */
  if ((ch_returncode = che_procedure(DEF(27),DEF(26),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
/* move 7.1 27 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(27);
  REF(27).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 26 */
  REF(7)DOT(0).value.ord_enum = 26;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 28 , 13 */
  if ((ch_returncode = che_prog_lit(DEF(28),QUAL(13),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 29 28 , 4 */
  if ((ch_returncode = che_procedure(DEF(29),DEF(28),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* move 7.1 29 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(29);
  REF(29).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 27 */
  REF(7)DOT(0).value.ord_enum = 27;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 30 , 14 */
  if ((ch_returncode = che_prog_lit(DEF(30),QUAL(14),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 31 30 , 4 */
  if ((ch_returncode = che_procedure(DEF(31),DEF(30),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* move 7.1 31 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(31);
  REF(31).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 31 */
  REF(7)DOT(0).value.ord_enum = 31;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 32 , 15 */
  if ((ch_returncode = che_prog_lit(DEF(32),QUAL(15),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 33 32 , 4 */
  if ((ch_returncode = che_procedure(DEF(33),DEF(32),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 32 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).tsdr = & dr_bottom;
/* move 7.1 33 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(33);
  REF(33).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 34 */
  REF(7)DOT(0).value.ord_enum = 34;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 34 , 16 */
  if ((ch_returncode = che_prog_lit(DEF(34),QUAL(16),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 35 34 , 4 */
  if ((ch_returncode = che_procedure(DEF(35),DEF(34),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* move 7.1 35 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(35);
  REF(35).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 35 */
  REF(7)DOT(0).value.ord_enum = 35;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 36 , 17 */
  if ((ch_returncode = che_prog_lit(DEF(36),QUAL(17),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 37 36 , 4 */
  if ((ch_returncode = che_procedure(DEF(37),DEF(36),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* move 7.1 37 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(37);
  REF(37).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 44 */
  REF(7)DOT(0).value.ord_enum = 44;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 38 , 18 */
  if ((ch_returncode = che_prog_lit(DEF(38),QUAL(18),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 39 38 , 4 */
  if ((ch_returncode = che_procedure(DEF(39),DEF(38),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 38 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).tsdr = & dr_bottom;
/* move 7.1 39 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(39);
  REF(39).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 45 */
  REF(7)DOT(0).value.ord_enum = 45;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 40 , 19 */
  if ((ch_returncode = che_prog_lit(DEF(40),QUAL(19),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 41 40 , 4 */
  if ((ch_returncode = che_procedure(DEF(41),DEF(40),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 40 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).tsdr = & dr_bottom;
/* move 7.1 41 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(41);
  REF(41).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 49 */
  REF(7)DOT(0).value.ord_enum = 49;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 42 , 20 */
  if ((ch_returncode = che_prog_lit(DEF(42),QUAL(20),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 43 42 , 4 */
  if ((ch_returncode = che_procedure(DEF(43),DEF(42),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 42 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).tsdr = & dr_bottom;
/* move 7.1 43 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(43);
  REF(43).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 50 */
  REF(7)DOT(0).value.ord_enum = 50;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 44 , 21 */
  if ((ch_returncode = che_prog_lit(DEF(44),QUAL(21),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 45 44 , 4 */
  if ((ch_returncode = che_procedure(DEF(45),DEF(44),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* move 7.1 45 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(45);
  REF(45).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 57 */
  REF(7)DOT(0).value.ord_enum = 57;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 46 , 22 */
  if ((ch_returncode = che_prog_lit(DEF(46),QUAL(22),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 47 46 , 4 */
  if ((ch_returncode = che_procedure(DEF(47),DEF(46),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 46 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  REF(46).tsdr = & dr_bottom;
/* move 7.1 47 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(47);
  REF(47).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 61 */
  REF(7)DOT(0).value.ord_enum = 61;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 48 , 23 */
  if ((ch_returncode = che_prog_lit(DEF(48),QUAL(23),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 49 48 , 4 */
  if ((ch_returncode = che_procedure(DEF(49),DEF(48),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* move 7.1 49 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(49);
  REF(49).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 66 */
  REF(7)DOT(0).value.ord_enum = 66;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 50 , 24 */
  if ((ch_returncode = che_prog_lit(DEF(50),QUAL(24),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 51 50 , 4 */
  if ((ch_returncode = che_procedure(DEF(51),DEF(50),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* move 7.1 51 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(51);
  REF(51).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 7 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val; REF(7).tsdr = & dr_record;
/* ordenum_lit 7.0 , 74 */
  REF(7)DOT(0).value.ord_enum = 74;
  REF(7)DOT(0).tsdr = & dr_ord_enumeration;
/* prog_lit 52 , 25 */
  if ((ch_returncode = che_prog_lit(DEF(52),QUAL(25),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 53 52 , 4 */
  if ((ch_returncode = che_procedure(DEF(53),DEF(52),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* move 7.1 53 */
  (*(REF(7)DOT(1).tsdr)->finalize)(REF(7)DOT(1).value,F_DISCARD,sched);
  REF(7)DOT(1) = REF(53);
  REF(53).tsdr = & dr_bottom;
/* insert 6 7 */
  if ((ch_returncode = insertfunc(DEF(6),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
c193:
/* noop */
  
c195:
  current->ip = 4;
cb195:
/* select 5 * 4 * , 26 */
  if ((ch_returncode = che_select((
          arguments[0] = DEF(5),
          arguments[1] = NO_OBJECT,
          arguments[2] = DEF(4),
          arguments[3] = NO_OBJECT,
          arguments[3+1] = nil,& arguments[0]),QUAL(26),sched)) != Normal)
     goto ch_raise_exception;
  if (current->ip == 4) return; else COMPUTE_TARGET;
c197:
/* exit , 27 */
  ch_e = handler_type__exit; ch_val = QUAL(27); goto ch_exception;
c199:
  current->ip = 7;
cb199:
/* receive 54 4 */
  if ((ch_returncode = che_receive(DEF(54),DEF(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c200:
/* size 55 54.0.4 */
  REF(55).value.integer = REF(54)DOT(0)DOT(4).value.table->size;
  REF(55).tsdr = & dr_integer;
/* ile . 55 =(0) , 296 */
  if ( REF(55).value.integer <= 0 ) goto c296;
/* copy 56 54.0.4 */
  if((ch_returncode = cp_table(& ch_val, REF(54)DOT(0)DOT(4).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56).value = ch_val;
  REF(56).tsdr = & dr_table;
/* new_table 57 , 28 */
  if ((ch_returncode = che_new_table(DEF(57),QUAL(28),sched)) != Normal) 
     goto ch_raise_exception;
c206:
/* size 58 56 */
  REF(58).value.integer = REF(56).value.table->size;
  REF(58).tsdr = & dr_integer;
/* ile . 58 =(0) , 239 */
  if ( REF(58).value.integer <= 0 ) goto c239;
/* block , 29 */
  if((ch_returncode = che_block(QUAL(29),sched)) != Normal)
     goto ch_raise_exception;
/* initget 59 56 , 0,0 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(59),DEF(56),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c212:
/* get_or_err 59 56 */
  if ((ch_returncode = get_selected_object(DEF(59),DEF(56),sched)) != Normal)
     goto ch_raise_exception;
/* notequal . 59 =(59) , 212 */
  if ( REF(59).value.ord_enum != 59 ) goto c212;
/* new_table 60 , 30 */
  if ((ch_returncode = che_new_table(DEF(60),QUAL(30),sched)) != Normal) 
     goto ch_raise_exception;
/* privatize 56 */
  if (REF(56).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(56))) != Normal)
       goto ch_raise_exception;
/* initget 61 56 , 0,0 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(61),DEF(56),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c219:
/* get_or_goto 61 56 , 227 */
  if ((ch_returncode = get_selected_object(DEF(61),DEF(56),sched)) != Normal)
     goto c227;
/* position 62 61 */
  ch_frame = get_selector_frame(DEF(61),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(62).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(62).tsdr = &dr_integer;
/* position 63 59 */
  ch_frame = get_selector_frame(DEF(59),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(63).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(63).tsdr = &dr_integer;
/* ige . 62 63 , 219 */
  if ( REF(62).value.integer >= REF(63).value.integer ) goto c219;
/* remove 64 61 56 */
  if ((ch_returncode = che_remove(DEF(64),DEF(61),DEF(56),sched)) != Normal)
     goto ch_raise_exception;
/* insert 60 64 */
  if ((ch_returncode = insertfunc(DEF(60),DEF(64),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 219 */
   goto c219;
c227:
/* endget 61 56 */
  end_selector(DEF(61),DEF(56),sched,GET);
/* insert 57 60 */
  if ((ch_returncode = insertfunc(DEF(57),DEF(60),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* privatize 56 */
  if (REF(56).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(56))) != Normal)
       goto ch_raise_exception;
/* lookup_at 65 56 =(0) */
  if ( !((ch_t = REF(56).value.table)->size) ) goto ch_notfound;
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(65).value,0);
  REF(65).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 66 56 =(0) */
  if ((ch_returncode = remove_at_func(DEF(66),DEF(56),0)) != Normal)
     goto ch_raise_exception;
/* endget 59 56 */
  end_selector(DEF(59),DEF(56),sched,GET);
/* endblock */
  che_endblock(sched);
/* branch , 206 */
   goto c206;
c236:
/* insert 57 56 */
  if ((ch_returncode = insertfunc(DEF(57),DEF(56),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_table 56 , 30 */
  if ((ch_returncode = che_new_table(DEF(56),QUAL(30),sched)) != Normal) 
     goto ch_raise_exception;
/* branch , 206 */
   goto c206;
c239:
/* copy 67 57 */
  if((ch_returncode = cp_table(& ch_val, REF(57).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).value = ch_val;
  REF(67).tsdr = & dr_table;
/* initget 68 67 , 0,0 */
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(68),DEF(67),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c241:
/* get_or_goto 68 67 , 294 */
  if ((ch_returncode = get_selected_object(DEF(68),DEF(67),sched)) != Normal)
     goto c294;
/* discard 69 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).tsdr = & dr_bottom;
/* new_record 70 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(70).tsdr)->finalize)(REF(70).value,F_DISCARD,sched);
  REF(70).value = ch_val; REF(70).tsdr = & dr_record;
/* block , 31 */
  if((ch_returncode = che_block(QUAL(31),sched)) != Normal)
     goto ch_raise_exception;
/* initget 71 68 , 0,0 */
  (*(REF(71).tsdr)->finalize)(REF(71).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(71),DEF(68),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c246:
/* get_or_err 71 68 */
  if ((ch_returncode = get_selected_object(DEF(71),DEF(68),sched)) != Normal)
     goto ch_raise_exception;
/* notequal . 71 =(61) , 246 */
  if ( REF(71).value.ord_enum != 61 ) goto c246;
/* position 72 71 */
  ch_frame = get_selector_frame(DEF(71),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(72).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(72).tsdr = &dr_integer;
/* endget 71 68 */
  end_selector(DEF(71),DEF(68),sched,GET);
/* move 73 72 */
  REF(73) = REF(72);
  REF(72).tsdr = & dr_bottom;
/* new_table 74 , 30 */
  if ((ch_returncode = che_new_table(DEF(74),QUAL(30),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 75 68 , 0,0 */
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(75),DEF(68),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c255:
/* get_or_goto 75 68 , 262 */
  if ((ch_returncode = get_selected_object(DEF(75),DEF(68),sched)) != Normal)
     goto c262;
/* position 76 75 */
  ch_frame = get_selector_frame(DEF(75),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(76).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(76).tsdr = &dr_integer;
/* ige . 76 73 , 255 */
  if ( REF(76).value.integer >= REF(73).value.integer ) goto c255;
/* copy 77 75 */
  if((ch_returncode = (REF(75).tsdr->copy)(& ch_val, REF(75).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(77).tsdr)->finalize)(REF(77).value,F_DISCARD,sched);
  REF(77).value = ch_val;
  REF(77).tsdr = datarepmap[REF(75).tsdr->number];
/* insert 74 77 */
  if ((ch_returncode = insertfunc(DEF(74),DEF(77),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 255 */
   goto c255;
c262:
/* endget 75 68 */
  end_selector(DEF(75),DEF(68),sched,GET);
/* move 70.0 74 */
  (*(REF(70)DOT(0).tsdr)->finalize)(REF(70)DOT(0).value,F_DISCARD,sched);
  REF(70)DOT(0) = REF(74);
  REF(74).tsdr = & dr_bottom;
/* new_table 78 , 30 */
  if ((ch_returncode = che_new_table(DEF(78),QUAL(30),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 79 68 , 0,0 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(79),DEF(68),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c266:
/* get_or_goto 79 68 , 273 */
  if ((ch_returncode = get_selected_object(DEF(79),DEF(68),sched)) != Normal)
     goto c273;
/* position 80 79 */
  ch_frame = get_selector_frame(DEF(79),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(80).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(80).tsdr = &dr_integer;
/* ile . 80 73 , 266 */
  if ( REF(80).value.integer <= REF(73).value.integer ) goto c266;
/* copy 81 79 */
  if((ch_returncode = (REF(79).tsdr->copy)(& ch_val, REF(79).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  REF(81).value = ch_val;
  REF(81).tsdr = datarepmap[REF(79).tsdr->number];
/* insert 78 81 */
  if ((ch_returncode = insertfunc(DEF(78),DEF(81),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 266 */
   goto c266;
c273:
/* endget 79 68 */
  end_selector(DEF(79),DEF(68),sched,GET);
/* move 82 78 */
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  REF(82) = REF(78);
  REF(78).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 280 */
   goto c280;
c277:
/* copy 70.0 68 */
  if((ch_returncode = cp_table(& ch_val, REF(68).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(70)DOT(0).tsdr)->finalize)(REF(70)DOT(0).value,F_DISCARD,sched);
  REF(70)DOT(0).value = ch_val;
  REF(70)DOT(0).tsdr = & dr_table;
/* chs_lit 82 , "" */
  if( !chs_lit(DEF(82),"") ) goto ch_depletion;
c280:
/* new_table 69 , 30 */
  if ((ch_returncode = che_new_table(DEF(69),QUAL(30),sched)) != Normal) 
     goto ch_raise_exception;
/* privatize 70.0 */
  if (REF(70)DOT(0).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(70)DOT(0))) != Normal)
       goto ch_raise_exception;
/* initget 83 70.0 , 0,0 */
  (*(REF(83).tsdr)->finalize)(REF(83).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(83),DEF(70)DOT(0),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c283:
/* get_or_goto 83 70.0 , 290 */
  if ((ch_returncode = get_selected_object(DEF(83),DEF(70)DOT(0)
    ,sched)) != Normal) goto c290;
/* notequal . 83 =(32) , 283 */
  if ( REF(83).value.ord_enum != 32 ) goto c283;
/* remove 84 83 70.0 */
  if ((ch_returncode = che_remove(DEF(84),DEF(83),DEF(70)DOT(0)
    ,sched)) != Normal) goto ch_raise_exception;
/* insert 69 84 */
  if ((ch_returncode = insertfunc(DEF(69),DEF(84),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 283 */
   goto c283;
c290:
/* endget 83 70.0 */
  end_selector(DEF(83),DEF(70)DOT(0),sched,GET);
/* wrap 70.1 82 , 32 */
  if ((ch_returncode = che_wrap(DEF(70)DOT(1),DEF(82),QUAL(32)
    ,sched)) != Normal) goto ch_raise_exception;
/* insert 54.1 70 */
  if ((ch_returncode = insertfunc(DEF(54)DOT(1),DEF(70),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 241 */
   goto c241;
c294:
/* endget 68 67 */
  end_selector(DEF(68),DEF(67),sched,GET);
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
c296:
/* discard 56 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56).tsdr = & dr_bottom;
/* discard 57 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).tsdr = & dr_bottom;
/* block , 33 */
  if((ch_returncode = che_block(QUAL(33),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 85 , "trace" */
  if( !chs_lit(DEF(85),"trace") ) goto ch_depletion;
/* find 86 54.1 85 , 0 */
  if (findfunc(DEF(86),DEF(54)DOT(1),(
          arguments[0] = DEF(85),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 87 86.1 */
  if((ch_returncode = cp_polymorph(& ch_val, REF(86)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  REF(87).value = ch_val;
  REF(87).tsdr = & dr_polymorph;
/* unwrap 88 87 , 32 */
  if ((ch_returncode = che_unwrap(DEF(88),DEF(87),QUAL(32),sched)) != Normal)
     goto ch_raise_exception;
/* new_record 89 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(89).tsdr)->finalize)(REF(89).value,F_DISCARD,sched);
  REF(89).value = ch_val; REF(89).tsdr = & dr_record;
/* enum_lit 89.0 , 118 */
  REF(89)DOT(0).value.enumeration = 118;
  REF(89)DOT(0).tsdr = & dr_enumeration;
/* new_table 89.1 , 28 */
  if ((ch_returncode = che_new_table(DEF(89)DOT(1),QUAL(28)
    ,sched)) != Normal)  goto ch_raise_exception;
/* new_table 90 , 30 */
  if ((ch_returncode = che_new_table(DEF(90),QUAL(30),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 91 88 , 0,0 */
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(91),DEF(88),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c309:
/* get_or_goto 91 88 , 316 */
  if ((ch_returncode = get_selected_object(DEF(91),DEF(88),sched)) != Normal)
     goto c316;
/* equal . 91 =(32) , 309 */
  if ( REF(91).value.ord_enum == 32 ) goto c309;
/* copy 92 91 */
  REF(92) = REF(91);
/* insert 90 92 */
  if ((ch_returncode = insertfunc(DEF(90),DEF(92),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 309 */
   goto c309;
c316:
/* endget 91 88 */
  end_selector(DEF(91),DEF(88),sched,GET);
/* move 88 90 */
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88) = REF(90);
  REF(90).tsdr = & dr_bottom;
  current->ip = 24;
cb318:
/* call 54.2.3.12 88 93 , 34 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(54)DOT(2)DOT(3)DOT(12),
          arguments[1] = DEF(88),
          arguments[2] = DEF(93),
          arguments[2+1] = nil,& arguments[0]),QUAL(34),sched)) != Normal)
     goto ch_raise_exception;
  return;
c319:
/* unite 89.2 93 , 2 */
  if ((ch_returncode = che_unite(DEF(89)DOT(2),DEF(93),sched,2)) != Normal)
     goto ch_raise_exception;
/* insert 54.2.4.3.1 89 */
  if ((ch_returncode = insertfunc(DEF(54)DOT(2)DOT(4)DOT(3)DOT(1),DEF(89)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c324:
/* discard 88 */
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88).tsdr = & dr_bottom;
/* find 94 54.2.2.0 54.0.1 , 0 */
  if (findfunc(DEF(94),DEF(54)DOT(2)DOT(2)DOT(0),(
          arguments[0] = DEF(54)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* case 95 94.1 */
  REF(95).value.enumeration = REF(94)DOT(1).value.variant->info.variant_case;
  REF(95).tsdr = & dr_enumeration;
/* equal . 95 =(2) , 335 */
  if ( REF(95).value.enumeration == 2 ) goto c335;
/* equal . 95 =(1) , 339 */
  if ( REF(95).value.enumeration == 1 ) goto c339;
/* equal . 95 =(0) , 341 */
  if ( REF(95).value.enumeration == 0 ) goto c341;
/* branch , 381 */
   goto c381;
c335:
/* reveal 94.1 , 2 */
  if (2 != REF(94)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* find 96 6 54.0.1 , 0 */
  if (findfunc(DEF(96),DEF(6),(
          arguments[0] = DEF(54)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* send 96.1 54 */
  if ((ch_returncode = che_send(DEF(96)DOT(1),DEF(54),sched)) != Normal)
     goto ch_raise_exception;
/* branch , 193 */
   goto c193;
c339:
/* send 54.2.3.5 54 */
  if ((ch_returncode = che_send(DEF(54)DOT(2)DOT(3)DOT(5),DEF(54)
    ,sched)) != Normal) goto ch_raise_exception;
/* branch , 193 */
   goto c193;
c341:
/* block , 35 */
  if((ch_returncode = che_block(QUAL(35),sched)) != Normal)
     goto ch_raise_exception;
/* notequal . 54.0.1 =(14) , 369 */
  if ( REF(54)DOT(0)DOT(1).value.ord_enum != 14 ) goto c369;
/* lookup_at 97 54.0.2 =(0) */
  if ( !((ch_t = REF(54)DOT(0)DOT(2).value.table)->size) ) goto ch_notfound;
  (*(REF(97).tsdr)->finalize)(REF(97).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(97).value,0);
  REF(97).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 98 97 */
  if((ch_returncode = (REF(97).tsdr->copy)(& ch_val, REF(97).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(98).tsdr)->finalize)(REF(98).value,F_DISCARD,sched);
  REF(98).value = ch_val;
  REF(98).tsdr = datarepmap[REF(97).tsdr->number];
  current->ip = 27;
cb348:
/* call 54.2.4.6 98 99 , 36 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(54)DOT(2)DOT(4)DOT(6),
          arguments[1] = DEF(98),
          arguments[2] = DEF(99),
          arguments[2+1] = nil,& arguments[0]),QUAL(36),sched)) != Normal)
     goto ch_raise_exception;
  return;
c349:
/* call 54.2.3.16 99 100 , 37 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(54)DOT(2)DOT(3)DOT(16),
          arguments[1] = DEF(99),
          arguments[2] = DEF(100),
          arguments[2+1] = nil,& arguments[0]),QUAL(37),sched)) != Normal)
     goto ch_raise_exception;
  return;
c350:
/* noop */
  
/* ord_case 101 100.2 */
  REF(101).value.ord_enum = REF(100)DOT(2).value.variant->info.variant_case;
  REF(101).tsdr = & dr_ord_enumeration;
/* equal . 101 =(4) , 371 */
  if ( REF(101).value.ord_enum == 4 ) goto c371;
/* equal . 101 =(3) , 371 */
  if ( REF(101).value.ord_enum == 3 ) goto c371;
/* equal . 101 =(2) , 371 */
  if ( REF(101).value.ord_enum == 2 ) goto c371;
/* equal . 101 =(1) , 371 */
  if ( REF(101).value.ord_enum == 1 ) goto c371;
/* branch , 366 */
   goto c366;
c366:
/* send 54.2.3.4 54 */
  if ((ch_returncode = che_send(DEF(54)DOT(2)DOT(3)DOT(4),DEF(54)
    ,sched)) != Normal) goto ch_raise_exception;
/* exit , 38 */
  ch_e = handler_type__exit; ch_val = QUAL(38); goto ch_exception;
c369:
/* send 54.2.3.4 54 */
  if ((ch_returncode = che_send(DEF(54)DOT(2)DOT(3)DOT(4),DEF(54)
    ,sched)) != Normal) goto ch_raise_exception;
/* exit , 38 */
  ch_e = handler_type__exit; ch_val = QUAL(38); goto ch_exception;
c371:
/* return 54 */
  if (ch_caller = do_return(REF(54).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(54).value);
  REF(54).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 377 */
   goto c377;
c374:
/* discard 100 */
  (*(REF(100).tsdr)->finalize)(REF(100).value,F_DISCARD,sched);
  REF(100).tsdr = & dr_bottom;
/* discard 98 */
  (*(REF(98).tsdr)->finalize)(REF(98).value,F_DISCARD,sched);
  REF(98).tsdr = & dr_bottom;
/* discard 99 */
  (*(REF(99).tsdr)->finalize)(REF(99).value,F_DISCARD,sched);
  REF(99).tsdr = & dr_bottom;
c377:
/* discard 100 */
  (*(REF(100).tsdr)->finalize)(REF(100).value,F_DISCARD,sched);
  REF(100).tsdr = & dr_bottom;
/* discard 98 */
  (*(REF(98).tsdr)->finalize)(REF(98).value,F_DISCARD,sched);
  REF(98).tsdr = & dr_bottom;
/* discard 99 */
  (*(REF(99).tsdr)->finalize)(REF(99).value,F_DISCARD,sched);
  REF(99).tsdr = & dr_bottom;
/* branch , 193 */
   goto c193;
c381:
/* exit , 39 */
  ch_e = handler_type__exit; ch_val = QUAL(39); goto ch_exception;
c196:
c384:
/* exit , 39 */
  ch_e = handler_type__exit; ch_val = QUAL(39); goto ch_exception;
c386:
/* endblock */
  che_endblock(sched);
/* branch , 393 */
   goto c393;
c388:
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
/* chs_lit 102 , "CantHappen exit taken in cgstmt" */
  if( !chs_lit(DEF(102),"CantHappen exit taken in cgstmt") )
     goto ch_depletion;
/* print 102 */
  re_print(stderr, 0, DEF(102)); fflush(stderr);
/* discard 102 */
  (*(REF(102).tsdr)->finalize)(REF(102).value,F_DISCARD,sched);
  REF(102).tsdr = & dr_bottom;
c393:
/* endblock */
  che_endblock(sched);
c395:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
